Kwalitee Issues

prereq_matches_use

List all used modules in META.yml requires

Error:

  • B
  • Scalar::Util
  • constant
  • overload
  • strict
  • warnings

has_meta_json

Add a META.json to the distribution. Your buildtool should be able to autogenerate it.

meta_yml_declares_perl_version

If you are using Build.PL define the {requires}{perl} = VERSION field. If you are using MakeMaker (Makefile.PL) you should upgrade ExtUtils::MakeMaker to 6.48 and use MIN_PERL_VERSION parameter. Perl::MinimumVersion can help you determine which version of Perl your module needs.

build_prereq_matches_use

List all modules used in the test suite in META.yml build_requires

Error:

  • Circle
  • Employee

has_separate_license_file

This is not a critical issue. Currently mainly informative for the CPANTS authors. It might be removed later.

meta_yml_has_repository_resource

Add a 'repository' resource to the META.yml via 'meta_add' accessor (for Module::Build) or META_ADD parameter (for ExtUtils::MakeMaker).

Modules

Name Abstract Version View
Class::Trait Deprecated. Please use Moose::Role. 0.31 metacpan
Class::Trait::Base Base class for all Traits 0.31 metacpan
Class::Trait::Config Trait configuration information storage package. 0.31 metacpan
Class::Trait::Reflection Reflection class used to find information about classes which use Traits. 0.31 metacpan
TComparable Trait for adding comparison abilities to your object 0.31 metacpan
TEquality Trait for adding equality testing to your object 0.31 metacpan
TPrintable Trait for adding stringification abilities to your object 0.31 metacpan

Other Files

Build.PL metacpan
Changes metacpan
MANIFEST metacpan
META.yml metacpan
Makefile.PL metacpan
README metacpan